diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/configure.ac lighttpd-1.4.25/configure.ac
--- lighttpd-1.4.25.orig/configure.ac	2009-11-21 18:11:50.000000000 +0300
+++ lighttpd-1.4.25/configure.ac	2009-11-26 14:08:48.000000000 +0300
@@ -23,9 +23,7 @@
 AC_PROG_MAKE_SET
 
 dnl check environment
-AC_AIX
 AC_ISC_POSIX
-AC_MINIX
 
 dnl AC_CANONICAL_HOST
 case $host_os in
@@ -577,7 +575,7 @@
 
 
 do_build="mod_cgi mod_fastcgi mod_extforward mod_proxy mod_evhost mod_simple_vhost mod_access mod_alias mod_setenv mod_usertrack mod_auth mod_status mod_accesslog"
-do_build="$do_build mod_rrdtool mod_secdownload mod_expire mod_compress mod_dirlisting mod_indexfile mod_userdir mod_webdav mod_staticfile mod_scgi mod_flv_streaming"
+do_build="$do_build mod_rrdtool mod_secdownload mod_expire mod_compress mod_dirlisting mod_indexfiles mod_userdir mod_webdav mod_staticfile mod_scgi mod_flv_streaming mod_geoip"
 
 plugins="mod_rewrite mod_redirect mod_ssi mod_trigger_b4_dl"
 features="regex-conditionals"
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/lighttpd.conf lighttpd-1.4.25/fink/etc/lighttpd.conf
--- lighttpd-1.4.25.orig/fink/etc/lighttpd.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/lighttpd.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,97 @@
+finkroot    = "@PREFIX@/"
+configpath  = finkroot + "etc/lighttpd/"
+logpath     = finkroot + "var/log/lighttpd/"
+
+#debug.log-request-header   = "enable"
+#debug.log-response-header  = "enable"
+#debug.log-request-handling = "enable"
+#debug.log-file-not-found   = "enable"
+
+server.document-root  = finkroot + "var/www/"
+server.errorlog       = logpath + "error.log"
+server.modules        = () # these will be defined in separate config-files
+server.tag            = "lighttpd"
+server.event-handler  = "freebsd-kqueue"
+server.pid-file       = finkroot + "var/run/lighttpd.pid"
+
+server.username            = "www"
+server.groupname           = "www"
+server.port                = 80
+#server.bind                = "localhost"
+#server.chroot              = "/"
+
+#server.error-handler-404   = "/error-handler.html"
+#server.errorfile-prefix    = finkroot + "var/www/status-" # Format: <errorfile-prefix><status-code>.html
+
+#ssl.engine                 = "enable"
+#ssl.pemfile                = "server.pem"
+
+dir-listing.activate  = "disable"
+index-file.names      = ( "index.html", "index.htm", "default.htm" )
+
+mimetype.assign       = (
+  ".pdf"     => "application/pdf",
+  ".sig"     => "application/pgp-signature",
+  ".spl"     => "application/futuresplash",
+  ".class"   => "application/octet-stream",
+  ".ps"      => "application/postscript",
+  ".torrent" => "application/x-bittorrent",
+  ".dvi"     => "application/x-dvi",
+  ".gz"      => "application/x-gzip",
+  ".pac"     => "application/x-ns-proxy-autoconfig",
+  ".swf"     => "application/x-shockwave-flash",
+  ".tar.gz"  => "application/x-tgz",
+  ".tgz"     => "application/x-tgz",
+  ".tar"     => "application/x-tar",
+  ".zip"     => "application/zip",
+  ".mp3"     => "audio/mpeg",
+  ".m3u"     => "audio/x-mpegurl",
+  ".wma"     => "audio/x-ms-wma",
+  ".wax"     => "audio/x-ms-wax",
+  ".ogg"     => "application/ogg",
+  ".wav"     => "audio/x-wav",
+  ".gif"     => "image/gif",
+  ".jpg"     => "image/jpeg",
+  ".jpeg"    => "image/jpeg",
+  ".png"     => "image/png",
+  ".xbm"     => "image/x-xbitmap",
+  ".xpm"     => "image/x-xpixmap",
+  ".xwd"     => "image/x-xwindowdump",
+  ".css"     => "text/css",
+  ".html"    => "text/html",
+  ".htm"     => "text/html",
+  ".js"      => "text/javascript",
+  ".asc"     => "text/plain",
+  ".c"       => "text/plain",
+  ".cpp"     => "text/plain",
+  ".log"     => "text/plain",
+  ".conf"    => "text/plain",
+  ".text"    => "text/plain",
+  ".txt"     => "text/plain",
+  ".dtd"     => "text/xml",
+  ".xml"     => "text/xml",
+  ".mpeg"    => "video/mpeg",
+  ".mpg"     => "video/mpeg",
+  ".mov"     => "video/quicktime",
+  ".qt"      => "video/quicktime",
+  ".avi"     => "video/x-msvideo",
+  ".asf"     => "video/x-ms-asf",
+  ".asx"     => "video/x-ms-asf",
+  ".wmv"     => "video/x-ms-wmv",
+  ".bz2"     => "application/x-bzip",
+  ".tbz"     => "application/x-bzip-compressed-tar",
+  ".tar.bz2" => "application/x-bzip-compressed-tar",
+  ".dmg"     => "application/x-apple-diskimage"
+)
+
+
+
+$HTTP["url"] =~ "\.pdf$" {
+  server.range-requests = "disable"
+}
+
+### .php, .pl, .fcgi are most often handled by mod_fastcgi or mod_cgi
+#static-file.exclude-extensions = ( ".php", ".pl", ".fcgi" )
+
+#including enabled modules and their configurations
+include_shell "cat " + configpath + "mods-enabled/* 2>/dev/null"
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/access.conf lighttpd-1.4.25/fink/etc/mods-available/access.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/access.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/access.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,10 @@
+global {
+  server.modules += ("mod_access")
+
+  ## deny access the file-extensions
+  #
+  # ~    is for backupfiles from vi, emacs, joe, ...
+  # .inc is often used for code includes which should in general not be part
+  #      of the document-root
+  url.access-deny             = ( "~", ".inc" )
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/accesslog.conf lighttpd-1.4.25/fink/etc/mods-available/accesslog.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/accesslog.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/accesslog.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,4 @@
+global {
+  server.modules += ("mod_accesslog")
+  accesslog.filename = logpath + "access.log"
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/alias.conf lighttpd-1.4.25/fink/etc/mods-available/alias.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/alias.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/alias.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_alias")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/auth.conf lighttpd-1.4.25/fink/etc/mods-available/auth.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/auth.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/auth.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,26 @@
+global {
+  server.modules += ("mod_auth")
+
+  ## read authentication.txt for more info
+  #auth.backend               = "plain"
+  #auth.backend.plain.userfile = "lighttpd.user"
+  #auth.backend.plain.groupfile = "lighttpd.group"
+
+  #auth.backend.ldap.hostname = "localhost"
+  #auth.backend.ldap.base-dn  = "dc=my-domain,dc=com"
+  #auth.backend.ldap.filter   = "(uid=$)"
+
+  #auth.require               = ( "/server-status" =>
+  #                               (
+  #                                 "method"  => "digest",
+  #                                 "realm"   => "download archiv",
+  #                                 "require" => "user=jan"
+  #                               ),
+  #                               "/server-config" =>
+  #                               (
+  #                                 "method"  => "digest",
+  #                                 "realm"   => "download archiv",
+  #                                 "require" => "valid-user"
+  #                               )
+  #                             )
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/cgi.conf lighttpd-1.4.25/fink/etc/mods-available/cgi.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/cgi.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/cgi.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,6 @@
+global {
+  server.modules += ("mod_cgi")
+
+  #cgi.assign = ( ".pl"  => "/usr/bin/perl",
+  #               ".cgi" => "/usr/bin/perl" )
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/cml.conf lighttpd-1.4.25/fink/etc/mods-available/cml.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/cml.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/cml.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,7 @@
+global {
+  server.modules += ("mod_cml")
+
+  index-file.names  += ("index.cml")
+  cml.extension      = ".cml"
+  # cml.memcache-hosts = ( "127.0.0.1:11211" )
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/compress.conf lighttpd-1.4.25/fink/etc/mods-available/compress.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/compress.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/compress.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,6 @@
+global {
+  server.modules += ("mod_compress")
+
+  compress.cache-dir         = "/tmp/lighttpd/cache/compress/"
+  compress.filetype          = ("text/plain", "text/html")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/evasive.conf lighttpd-1.4.25/fink/etc/mods-available/evasive.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/evasive.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/evasive.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_evasive")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/evhost.conf lighttpd-1.4.25/fink/etc/mods-available/evhost.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/evhost.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/evhost.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,14 @@
+global {
+  server.modules += ("mod_evhost")
+
+  #
+  # define a pattern for the host url finding
+  # %% => % sign
+  # %0 => domain name + tld
+  # %1 => tld
+  # %2 => domain name without tld
+  # %3 => subdomain 1 name
+  # %4 => subdomain 2 name
+  #
+  #evhost.path-pattern        = "/home/storage/dev/www/%3/htdocs/"
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/expire.conf lighttpd-1.4.25/fink/etc/mods-available/expire.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/expire.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/expire.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_expire")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/extforward.conf lighttpd-1.4.25/fink/etc/mods-available/extforward.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/extforward.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/extforward.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,5 @@
+global {
+  server.modules += ("mod_extforward")
+
+  # extforward.forwarder = ( "all" => "trust")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/fastcgi.conf lighttpd-1.4.25/fink/etc/mods-available/fastcgi.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/fastcgi.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/fastcgi.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,14 @@
+global {
+  server.modules += ("mod_fastcgi")
+
+  ## read fastcgi.txt for more info
+  ## for PHP don't forget to set cgi.fix_pathinfo = 1 in the php.ini
+  #fastcgi.server             = ( ".php" =>
+  #                               ( "localhost" =>
+  #                                 (
+  #                                   "socket" => "/tmp/php-fastcgi.socket",
+  #                                   "bin-path" => "/usr/local/bin/php"
+  #                                 )
+  #                               )
+  #                            )
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/flv_streaming.conf lighttpd-1.4.25/fink/etc/mods-available/flv_streaming.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/flv_streaming.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/flv_streaming.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_flv_streaming")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/geoip.conf lighttpd-1.4.25/fink/etc/mods-available/geoip.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/geoip.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/geoip.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,6 @@
+global {
+  server.modules += ("mod_geoip")
+
+  geoip.db-filename = "@PREFIX@/share/GeoIP/GeoIP.dat"
+  geoip.memory-cache = "enable"
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/magnet.conf lighttpd-1.4.25/fink/etc/mods-available/magnet.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/magnet.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/magnet.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_magnet")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/mysql_vhost.conf lighttpd-1.4.25/fink/etc/mods-available/mysql_vhost.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/mysql_vhost.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/mysql_vhost.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,9 @@
+global {
+  server.modules += ("mod_mysql_vhost")
+
+  mysql-vhost.sock           = "/tmp/mysql.sock"
+  # mysql-vhost.db             = "lighttpd"
+  # mysql-vhost.user           = "lighttpd"
+  # mysql-vhost.pass           = "secret"
+  # mysql-vhost.sql            = "SELECT docroot FROM domains WHERE domain='?';"
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/proxy.conf lighttpd-1.4.25/fink/etc/mods-available/proxy.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/proxy.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/proxy.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,10 @@
+global {
+  server.modules += ("mod_proxy")
+
+  ## read proxy.txt for more info
+  #proxy.server = (
+  #  ".php" => (
+  #    "localhost" => ("host" => "192.168.0.101", "port" => 80)
+  #  )
+  #)
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/redirect.conf lighttpd-1.4.25/fink/etc/mods-available/redirect.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/redirect.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/redirect.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_redirect")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/rewrite.conf lighttpd-1.4.25/fink/etc/mods-available/rewrite.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/rewrite.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/rewrite.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_rewrite")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/rrdtool.conf lighttpd-1.4.25/fink/etc/mods-available/rrdtool.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/rrdtool.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/rrdtool.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,6 @@
+global {
+  server.modules += ("mod_rrdtool")
+
+  rrdtool.binary             = "@PREFIX@/bin/rrdtool"
+  rrdtool.db-name            = finkroot + "var/www/lighttpd.rrd"
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/scgi.conf lighttpd-1.4.25/fink/etc/mods-available/scgi.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/scgi.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/scgi.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_scgi")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/secdownload.conf lighttpd-1.4.25/fink/etc/mods-available/secdownload.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/secdownload.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/secdownload.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_secdownload")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/setenv.conf lighttpd-1.4.25/fink/etc/mods-available/setenv.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/setenv.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/setenv.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,6 @@
+global {
+  server.modules += ("mod_setenv")
+
+  #setenv.add-request-header  = ( "TRAV_ENV" => "mysql://user@host/db" )
+  #setenv.add-response-header = ( "X-Secret-Message" => "42" )
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/simple_vhost.conf lighttpd-1.4.25/fink/etc/mods-available/simple_vhost.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/simple_vhost.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/simple_vhost.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_simple_vhost")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/ssi.conf lighttpd-1.4.25/fink/etc/mods-available/ssi.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/ssi.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/ssi.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,5 @@
+global {
+  server.modules += ("mod_ssi")
+
+  ssi.extension = ( ".shtml" )
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/status.conf lighttpd-1.4.25/fink/etc/mods-available/status.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/status.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/status.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,6 @@
+global {
+  server.modules += ("mod_status")
+
+  status.status-url = "/server-status"
+  status.config-url = "/server-config"
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/trigger_b4_dl.conf lighttpd-1.4.25/fink/etc/mods-available/trigger_b4_dl.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/trigger_b4_dl.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/trigger_b4_dl.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,10 @@
+global {
+  server.modules += ("mod_trigger_b4_dl")
+
+  # trigger-before-download.gdbm-filename = "/home/weigon/testbase/trigger.db"
+  # trigger-before-download.memcache-hosts = ( "127.0.0.1:11211" )
+  # trigger-before-download.trigger-url = "^/trigger/"
+  # trigger-before-download.download-url = "^/download/"
+  # trigger-before-download.deny-url = "http://127.0.0.1/index.html"
+  # trigger-before-download.trigger-timeout = 10
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/userdir.conf lighttpd-1.4.25/fink/etc/mods-available/userdir.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/userdir.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/userdir.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,6 @@
+global {
+  server.modules += ("mod_userdir")
+
+  userdir.basepath = "/Users/"
+  userdir.path = "Sites"
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/useronline.conf lighttpd-1.4.25/fink/etc/mods-available/useronline.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/useronline.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/useronline.conf	2009-11-26 14:26:43.000000000 +0300
@@ -0,0 +1,9 @@
+global {
+  server.modules += ("mod_useronline")
+
+  useronline.enable = 1
+  # useronline.online-age = 300
+  # useronline.active-age = 100
+  # useronline.max-ips = 1024
+  # useronline.status-name = "myWonderfulSite"
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/usertrack.conf lighttpd-1.4.25/fink/etc/mods-available/usertrack.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/usertrack.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/usertrack.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_usertrack")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/webdav.conf lighttpd-1.4.25/fink/etc/mods-available/webdav.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/webdav.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/webdav.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_webdav")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/src/Makefile.am lighttpd-1.4.25/src/Makefile.am
--- lighttpd-1.4.25.orig/src/Makefile.am	2009-11-07 20:42:30.000000000 +0300
+++ lighttpd-1.4.25/src/Makefile.am	2009-11-26 14:22:06.000000000 +0300
@@ -264,6 +264,15 @@
 mod_accesslog_la_LDFLAGS = -module -export-dynamic -avoid-version -no-undefined
 mod_accesslog_la_LIBADD = $(common_libadd)
 
+lib_LTLIBRARIES += mod_geoip.la
+mod_geoip_la_SOURCES = mod_geoip.c
+mod_geoip_la_LDFLAGS = -module -export-dynamic -avoid-version -no-undefined
+mod_geoip_la_LIBADD = $(common_libadd) -lGeoIP
+
+lib_LTLIBRARIES += mod_useronline.la
+mod_useronline_la_SOURCES = mod_useronline.c
+mod_useronline_la_LDFLAGS = -module -export-dynamic -avoid-version -no-undefined
+mod_useronline_la_LIBADD = $(common_libadd)
 
 hdr = server.h buffer.h network.h log.h keyvalue.h \
       response.h request.h fastcgi.h chunk.h \
